import { type OsGridRefFieldComponent } from '@defra/forms-model';
import { LocationFieldBase } from '../../../../server/plugins/engine/components/LocationFieldBase.js';
export declare class OsGridRefField extends LocationFieldBase {
    options: OsGridRefFieldComponent['options'];
    protected getValidationConfig(): {
        pattern: RegExp;
        patternErrorMessage: import("joi").JoiExpression;
        requiredMessage: import("joi").JoiExpression;
    };
    protected getErrorTemplates(): {
        type: string;
        template: import("joi").JoiExpression;
    }[];
    /**
     * Static version of getAllPossibleErrors that doesn't require a component instance.
     */
    static getAllPossibleErrors(): import("../types.js").ErrorMessageTemplateList;
}
